import { world } from "@minecraft/server";

let run = undefined

export class EntityHurt {
    on(callback) {
        run = world.afterEvents.entityHurt.subscribe((data) => {
            callback(data)
        });
        return this;
    }
    off() {
        return world.afterEvents.entityHurt.unsubscribe(run);
    }
}