import { BlockBreak } from "./blockBreak.js";
import { BlockPlace } from "./blockPlace.js";
import { Chat } from "./beforeChat.js";
import { PlayerSpawn } from "./playerSpawn.js";
import { ItemUse } from "./beforeItemUse.js";
import { EntityHurt } from "./entityHurt.js";
import { ProjectileHit } from "./projectileHit.js";
import { ItemUseOn } from "./beforeItemUseOn.js";
import { EntityHitEntity } from "./entityHitEntity.js";
import { EntityHitBlock } from "./entityHitBlock.js";

export const events = {
    BlockBreak,
    BlockPlace,
    Chat,
    PlayerSpawn,
    ItemUse,
    EntityHurt,
    EntityHitEntity,
    ProjectileHit,
    ItemUseOn,
    EntityHitBlock
}