import { world } from "@minecraft/server";
import client from "../ServerClient";


let run = undefined

export class PlayerSpawn {
    on(callback) {
        run = world.afterEvents.playerSpawn.subscribe(data => {
            const player = client.player.convert(data.player)
            callback(Object.assign(player, {
                welcome() {
                    if (!player.hasTag('old')) {
                        client.send(`§c${player.name}§r§7 has connected for the first time. Please welcome them`)
                        player.addTag('old')
                    }
                }
            }), data);
        });
        return this;
    }
    off() {
        return world.afterEvents.playerSpawn.unsubscribe(run);
    }
}