import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('broadcast')
    .setDescription('Send a message to the entire server')
    .setCategory('general')
    .setAdmin(true)
    .firstArguments(['message'], false)
    .addAnyArgument('message', 1),
    execute(ctx) {
        ctx.execute((sender, args) => !args.length && sender.response.error('You must type a message to broadcast'))
        ctx.executeArgument('message', (_, value) => {
            client.extra.broadcast(value)
        })
    }
})