import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('invsee')
    .setDescription('See a players inventory')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, null),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player) => {
            const container = player.getComponent("inventory").container;
            if (container.size === container.emptySlotsCount) return sender.resposne.error(`${player.name}'s §cinventory is empty`);
            let inventory = '';
            for (let i = 0; i < container.size; i++) {
                const item = container.getItem(i);
                if (typeof item == "undefined") continue;
                inventory += `\n§l§cSlot:§e ${i} §6>>§a ${item.typeId.split(":")[1].split('_').map(v => v[0].toUpperCase() + v.slice(1).toLowerCase()).join(" ")} §b${item.nameTag ? `Name: ${item.nameTag} ` : ''}§ex${item.amount}`;
                function getEnchants(iterator) {
                    const ir = iterator.next() 
                    if (ir.done === true) return;
                    inventory += `\n  §6Enchantment: §4${ir.value.type.id.charAt(0).toUpperCase() + ir.value.type.id.slice(1)} ${ir.value.level}`;
                    getEnchants(iterator);
                }
                getEnchants(item.getComponent("enchantments").enchantments[Symbol.iterator]())
            }
            sender.response.send(`§6<----------< §6${player.name}'s§c Inventory§6 >---------->§6${inventory}\n§6<------------------------>`, true, false);
        })
    }
})