import client from "../../../API/ServerClient"
import { module } from "../../../API/module"
import { world } from "@minecraft/server" 

module.exports({
    module: new client.command()
    .setName('jaillist')
    .setDescription('Provides you a list of online jailed players')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            let jailedPlayers = "§cJailed Players:\n";
            for(const player of world.getPlayers({tags:["jailed"]})){
                jailedPlayers += `${player.name}\n`;
            }
            sender.response.send(jailedPlayers, true, false);
        })
    }
})