import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('logs')
    .setDescription('Provides you with logs that have been made')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            sender.response.send('Close the chat within 10 secondes')
            new client.messageForm()
            .setTitle('§4All logs that have been made:')
            .setButton2('§aClose')
            .setButton1('§cClear')
            .setBody(client.log.logs.join('\n'))        
            .force(sender, (res) => {
                if (res.selection == 0) {
                    client.log.logs = []
                    sender.response.send('Cleared all logs that have been made')
                }
            }, 220)
        })
    }
})