import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('mute')
    .setDescription('Mute a player in the server')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, 'reason', { self: false })
    .addAnyArgument('reason', 1),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player, args) => {
            if (player.permission.hasPermission('admin')) return sender.response.error('You cant mute a staff member')
            if (player.chat.muted) return sender.response.error(`§6${player.name} §cis already muted`)
            sender.response.sendMSG(`§cYou have muted:\n§cPlayer: §6${player.name}\n§cReason: §6${args[0]}`);
            player.response.sendMSG(`§cYou have been muted:\n§cBy: §6${sender.name}\n§cReason: §6${args[0]}`);
            player.chat.mute()
        })
    }
})