import client from "../../../API/ServerClient"
import { module } from "../../../API/module"
import config from "../../../config/main"
import { world } from "@minecraft/server"

module.exports({
    module: new client.command()
    .setName('removejail')
    .setDescription('Removes the current jail location')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            if (!client.server.has('jail')) return sender.response.error('There isnt a jail set')
            client.server.delete('jail');
            for (const plr of world.getPlayers({tags:[config.adminTag]})) {
                plr.response.send(`The jail location have been removed by §6${sender.name}`)
            }      
        })
    }
})