import client from "../../../API/ServerClient"
import { module } from "../../../API/module"
import config from "../../../config/main"
import { world } from '@minecraft/server'

module.exports({
    module: new client.command()
    .setName('removespawn')
    .setDescription('Remove the current spawn location')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            if (!client.server.has('spawn')) return sender.response.error('There isnt a spawn set')
            client.server.delete('spawn');
            for (const player of world.getPlayers({tags:[config.adminTag]})) {
                player.response.send(`The spawn location has been removed by §6${sender.name}`)
            }
        })
    }
})