import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('unfreeze')
    .setDescription('Unfreeze a player')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, null, { self: false }),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player) => {       
            if (!player.management.freezed) return sender.response.error(`§6${player.name} §cis already not freezed`)
            player.management.unfreeze()
            player.response.send(`You have been unfreezed by: §6${sender.name}`)
            sender.response.send(`Player: §6${player.name}§c has been unfreezed`)
        })
    }
})