import client from "../../../API/ServerClient";
import { module } from "../../../API/module";

module.exports({
    module: new client.command()
    .setName('welcome')
    .setDescription('Setup a welcome screen to ur server')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['message'], true)
    .addAnyArgument('message', 1),
    execute(ctx) {
        ctx.executeArgument('message', (sender, val) => {
            client.server.write('welcomeMessage', val)
            sender.response.send('Your message has been successfully setup')
        })
    }
})