import { world } from "@minecraft/server";
import client from "../../../API/ServerClient";
import { module } from "../../../API/module";

module.exports({
    module: new client.command()
    .setName('home')
    .setDescription('Teleport to a home you set')
    .setCategory('miscellaneous')
    .firstArguments(['name'], true)
    .addAnyArgument('name', 1),
    execute(ctx) {
        ctx.executeArgument('name', (sender, val) => {
            if (!client.homes.has(`${sender.name}:${val}`)) return sender.response.error('That home dosent exist')
            const Data = client.homes.read(`${sender.name}:${val}`)
            sender.teleport(Data.location, { dimension: world.getDimension(Data.dimension) })
            sender.response.send(`You have been teleported to the home: ${val}`)
        })
    }
})