import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('jump')
    .setDescription('Gives you jump boost of the amount you put')
    .setCategory('miscellaneous')
    .setAdmin(true)
    .firstArguments(['amount'], true)
    .addNumberArgument('amount'),
    execute(ctx) {
        ctx.executeArgument('amount', (sender, val) => {
            if (val == 0) {
                sender.runCommandAsync('effect @s clear')
                sender.response.send('You have cleared you effects')
            } else {
                if (val > 255) return sender.response.error('The amount cant be more than 255')
                sender.runCommandAsync(`effect @s jump_boost 99999999 ${val} true`)
                sender.response.send(`You have been given jump boost with the amount of ${val}`)
            }
        })
    }
})