import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('vanish')
    .setDescription('Makes you invisible to others')
    .setCategory('miscellaneous')
    .setAdmin(true)
    .setAliases(['v']),
    execute(ctx) {
        ctx.execute((sender) => {
            if (!sender.gamemode.vanished()) {
                sender.gamemode.setGamemode('vanish')
            } else {
                sender.gamemode.setGamemode('unvanish')
            }
        })
    }
})