import client from "../../API/ServerClient"

client.on('PlayerSpawn', (player, data) => {
    player.welcome()
    if (client.server.has('welcomeMessage') && data.initialSpawn) {
        new client.messageForm()
        .setTitle(`Welcome! ${player.name}`)
        .setBody(client.server.read('welcomeMessage').replaceAll('\\n', '\n').replace('$name', player.name))
        .setButton1('§cClose')
        .setButton2('§aOk')
        .force(player, (_) => {})
    }
})  