import { world } from "@minecraft/server";
import client from "../ServerClient";

let run = undefined

export class ItemUse {
    on(callback) {
        run = world.beforeEvents.itemUse.subscribe((data) => {
            const interaction = client.player.convert(data.source)
            callback(Object.assign(data, {
                interaction
            }));
        });
        return this;
    }
    off() {
        return world.beforeEvents.itemUse.unsubscribe(run);
    }
}
