import { world } from "@minecraft/server";
import client from "../ServerClient";

let run = undefined

export class BlockBreak {
    on(callback) {
        run = world.afterEvents.blockBreak.subscribe(({ player, block, brokenBlockPermutation, dimension }) => {
            const interaction = client.player.convert(player)
            callback(interaction, {block: block, brokenBlockPermutation: brokenBlockPermutation, dimension: dimension});
        });
        return this;
    }
    off() {
        world.afterEvents.blockBreak.unsubscribe(run);
    }
}