import { world } from "@minecraft/server";
import client from "../ServerClient";

let run = undefined

export class BlockPlace {
    on(callback) {
        run = world.afterEvents.blockPlace.subscribe(({ player, block }) => {
            const interaction = client.player.convert(player)
            callback(interaction, { block: block });
        });
        return this;
    }
    off() {
        return world.afterEvents.blockPlace.unsubscribe(run);
    }
}