import client from "../ServerClient";

class Area {
    static as(player, data) {
        for (const area of client.areas.allKeysP()) {
            const areaData = client.areas.read(area)
            if (areaData.dimension !== player.dimension.id) continue;
            if (!areaData.pos2 || !areaData.pos2 || !areaData.pos1 || !areaData.pos1) continue;
            const isInArea = data[0] >= Math.min(areaData.pos1.x, areaData.pos2.x) && data[0] <= Math.max(areaData.pos1.x, areaData.pos2.x) && data[1] >= Math.min(areaData.pos1.z, areaData.pos2.z) && data[1] <= Math.max(areaData.pos1.z, areaData.pos2.z)
            if (isInArea) return {
                isInArea
            }
        }
        return {
            isInArea: false
        }
    }
}

export { Area }