import client from "../../../API/ServerClient";
import { module } from "../../../API/module";
import config from "../../../config/main";
import { world } from "@minecraft/server";

module.exports({
    module: new client.command()
    .setName('admins')
    .setDescription('Provides you with a list of online admins')
    .setCategory('general'),
    execute(ctx) {
        ctx.execute((sender) => {
            let theText = "§cAdmins:\n";
            for(const player of world.getPlayers({tags:[config.adminTag]})){
                theText += `${player.name}\n`;
            }
            sender.response.send(theText, true, false);
        })
    }
})