import client from "../../../API/ServerClient";
import { module } from "../../../API/module";
import config from "../../../config/main";

module.exports({
    module: new client.command()
    .setName('balance')
    .setDescription(`Provides you or a player with amount of ${config.currency} they have`)
    .setCategory('general')
    .setAliases(['bal'])
    .firstArguments(['player'], false)
    .addPlayerArgument('player', true, null, { self: true }),
    execute(ctx) {
        ctx.execute((sender) => {
            sender.response.send(`Your balance: ${sender.score.getScore(config.currency) == undefined ? 0 : sender.score.getScore(config.currency)}`)
        })
        ctx.executeArgument('player', (sender, player) => {
            sender.response.send(`${player.name}'s §r§c§lbalance: ${player.score.getScore(config.currency) == undefined ? 0 : player.score.getScore(config.currency)}`)
        })
    }
})