import client from "../../../API/ServerClient";
import { module } from "../../../API/module";
import { world } from "@minecraft/server";

module.exports({
    module: new client.command()
    .setName('list')
    .setDescription('Lists players on the world')
    .setCategory('general'),
    execute(ctx) {
        ctx.execute((sender) => {
            let theText = "\n";
            for(const plr of world.getPlayers()) {
                theText += `${plr.name}\n`;
            }
            const amount = [...world.getPlayers()].length
            sender.response.send(`§cThere are ${amount} players online:${theText}`, true, false);
        })
    }
})