import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('slap')
    .setDescription('Damges the player you chose with the amount you chose')
    .setCategory('general')
    .setAdmin(true)
    .firstArguments(['player'], false)
    .addPlayerArgument('player', true, 'amount')
    .addNumberArgument('amount', null, { min: 0 }),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player, args) => {
            if (player.name == sender.name) return sender.response.error('You cant slap yourself')
            if (player.permission.admin) return sender.response.error('You cant slap a staff member')
            if (player.gamemode.mode == 'creative') return sender.response.error('You cant slap a creative mode player')
            sender.response.send(`You have slaped the player: §6${player.name}`);
            player.response.send(`You have been slaped by: §6${sender.name}`);
            player.applyDamage(args[0])
        })
    }
})