import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('ban')
    .setDescription('Ban a player from the server')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, 'reason', { self: true }, true)
    .addAnyArgument('reason', 1),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player, args) => {
            client.ban.newBan(sender, player, args[0])
        })
    }
})