import client from "../../../API/ServerClient"
import { module } from "../../../API/module"
import { world } from '@minecraft/server'

module.exports({
    module: new client.command()
    .setName('freezelist')
    .setDescription('Provides you a list of frozen players')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            let theText = "§cFreezed Players:\n";
            for(const player of world.getPlayers({tags:["freeze"]})){
                theText += `${player.name}\n`;
            }
            sender.response.send(theText, true, false);
        })
    }
})