import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('jail')
    .setDescription('Jail a player')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, null, { self: false }),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player) => {
            if (player.permission.hasPermission('admin')) return sender.response.error('You cant jail a staff member')
            if (!client.server.has('jail')) return sender.response.error('There isnt a jail set')
            if (player.management.jailed) return sender.response.error(`§6${player.name} §cis already jailed`)
            player.management.jail()
            sender.response.send(`You have jailed the player §6${player.name}`)
            player.response.send('You have been jailed')
        })
    }
})