import client from "../../../API/ServerClient"
import { module } from "../../../API/module"
import { world } from '@minecraft/server'

module.exports({
    module: new client.command()
    .setName('mutelist')
    .setDescription('Provides you a list of online muted players')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            let theText = "§cMuted Players:\n";
            for(const plr of world.getPlayers({tags:["mute"]})){
                theText += `${plr.name}\n`;
            }   
            sender.response.send(theText, true, false);
        })
    }
})