import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('setjail')
    .setDescription('Set the jail location at the location your on')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
            ctx.execute((sender) => {
            if (client.server.has('jail')) return sender.response.error('The jail is already set')
            client.server.write('jail', {
                location: { x: sender.location.x, y: sender.location.y, z: sender.location.z },
                dimension: sender.dimension.id
            })
            sender.response.send(`Successfuly set jail on §6${sender.location.x.toFixed(1)}§c, §6${sender.location.y.toFixed(1)}§c, §6${sender.location.z.toFixed(1)}`)
        })
    }
}) 