import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('staffchat')
    .setDescription('Enter or leave the staff chat')
    .setCategory('management')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            if (sender.chat.inStaffChat) {
                sender.removeTag('staffChat')
                sender.response.send('You have left the staff chat')
            } else {
                sender.addTag('staffChat')
                sender.response.send('You have joined the staff chat')
            }
        })
    }
})