import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('warn')
    .setDescription('Warn a player')
    .setCategory('management')
    .setAdmin(true)
    .firstArguments(['player'], true)
    .addPlayerArgument('player', true, 'reason', { self: false })
    .addAnyArgument('reason', 1),
    execute(ctx) {
        ctx.executeArgument('player', (sender, player, args) => {
            sender.response.send(`§cYou have warned:\nPlayer: ${player.name}\n§cReason: ${args[0]}`, true, false)
            player.response.sendMSG(`§cYou have been warned:\nBy: ${sender.name}\n§cReason: ${args[0]}`, true, false)
        })
    }
})