import client from "../../../API/ServerClient";
import { module } from "../../../API/module";

module.exports({
    module: new client.command()
    .setName('delhome')
    .setDescription('Delete a home')
    .setCategory('miscellaneous')
    .firstArguments(['name'], true)
    .addAnyArgument('name', 1),
    execute(ctx) {
        ctx.executeArgument('name', (sender, val) => {
            if (!client.homes.has(`${sender.name}:${val}`)) return sender.response.error('That home dosent exist')
            client.homes.delete(`${sender.name}:${val}`)
            sender.response.send(`Deleted the home: ${val}`)
        })
    }
})