import client from "../../../API/ServerClient"
import { module } from "../../../API/module"

module.exports({
    module: new client.command()
    .setName('dupe')
    .setDescription('Duplicate the item your holding')
    .setCategory('miscellaneous')
    .setAdmin(true),
    execute(ctx) {
        ctx.execute((sender) => {
            const inventory = sender.getComponent('inventory').container;
            const item = inventory.getItem(sender.selectedSlot)
            if (!item) return sender.response.error('You must hold an item')
            inventory.addItem(item)
            sender.response.send(`Successfully duped the item §6${client.item.getItemName(item)}`)
        })
    }
})