import client from "../../../API/ServerClient";
import { module } from "../../../API/module";

module.exports({
    module: new client.command()
    .setName('homelist')
    .setDescription('Provides you with a list of your homes')
    .setCategory('miscellaneous'),
    execute(ctx) {
        ctx.execute((sender) => {
            const homes = [];
            for (const home of client.homes.allKeysP()) {
                if (client.homes.read(home).creator == sender.name) homes.push(client.homes.read(home))
            }
            if (homes.length == 0) return sender.response.error('You dont have any homes set yet')
            sender.response.send(`§c----------------\nHomes:\n${homes.sort().map((h) => `§6${h.name} §e- §6${h.location.x.toFixed(1)}§c, §6${h.location.y.toFixed(1)}§c, §6${h.location.z.toFixed(1)}§e - §6${h.dimension.replace('minecraft:', '')}`).join('\n')}\n§c----------------`, true, false)
        })
    }
})