import client from "../../API/ServerClient";

client.on('ItemUse', (data) => {
    const pearlD = 10
    const interaction = data.interaction
    if (interaction.permission.hasPermission('admin')) return;
    if (data.itemStack.typeId == 'minecraft:ender_pearl') {
        const score = interaction.score.getScore('pearlTimer')
        if (score !== 0) {
            interaction.response.send(`§cYou still have ${score} seconds before you can use an ender pearl again`, false, false)
            data.cancel = true;
        } else if (score == 0) {
            interaction.score.setScore('pearlTimer', pearlD)
        }
    }
})